|
|
0a122b |
From a510cccdd420d33dc4c12eb5f638521f8d951e22 Mon Sep 17 00:00:00 2001
|
|
|
0a122b |
From: Kevin Wolf <kwolf@redhat.com>
|
|
|
0a122b |
Date: Tue, 25 Mar 2014 14:23:16 +0100
|
|
|
0a122b |
Subject: [PATCH 09/49] qemu-iotests: Support for bochs format
|
|
|
0a122b |
|
|
|
0a122b |
RH-Author: Kevin Wolf <kwolf@redhat.com>
|
|
|
0a122b |
Message-id: <1395753835-7591-10-git-send-email-kwolf@redhat.com>
|
|
|
0a122b |
Patchwork-id: n/a
|
|
|
0a122b |
O-Subject: [virt-devel] [EMBARGOED RHEL-7.0 qemu-kvm PATCH 09/48] qemu-iotests: Support for bochs format
|
|
|
0a122b |
Bugzilla: 1066691
|
|
|
0a122b |
RH-Acked-by: Jeff Cody <jcody@redhat.com>
|
|
|
0a122b |
RH-Acked-by: Stefan Hajnoczi <stefanha@redhat.com>
|
|
|
0a122b |
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
|
|
|
0a122b |
|
|
|
0a122b |
Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1066691
|
|
|
0a122b |
Upstream status: Series embargoed
|
|
|
0a122b |
|
|
|
0a122b |
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
|
|
|
0a122b |
Reviewed-by: Stefan Hajnoczi <stefanha@redhat.com>
|
|
|
0a122b |
|
|
|
0a122b |
Conflicts:
|
|
|
0a122b |
tests/qemu-iotests/group
|
|
|
0a122b |
|
|
|
0a122b |
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
|
|
|
0a122b |
---
|
|
|
0a122b |
tests/qemu-iotests/078 | 53 ++++++++++++++++++++++
|
|
|
0a122b |
tests/qemu-iotests/078.out | 6 +++
|
|
|
0a122b |
tests/qemu-iotests/common | 7 +++
|
|
|
0a122b |
tests/qemu-iotests/group | 1 +
|
|
|
0a122b |
tests/qemu-iotests/sample_images/empty.bochs.bz2 | Bin 0 -> 118 bytes
|
|
|
0a122b |
5 files changed, 67 insertions(+), 0 deletions(-)
|
|
|
0a122b |
create mode 100755 tests/qemu-iotests/078
|
|
|
0a122b |
create mode 100644 tests/qemu-iotests/078.out
|
|
|
0a122b |
create mode 100644 tests/qemu-iotests/sample_images/empty.bochs.bz2
|
|
|
0a122b |
|
|
|
0a122b |
diff --git a/tests/qemu-iotests/078 b/tests/qemu-iotests/078
|
|
|
0a122b |
new file mode 100755
|
|
|
0a122b |
index 0000000..f55f46d
|
|
|
0a122b |
--- /dev/null
|
|
|
0a122b |
+++ b/tests/qemu-iotests/078
|
|
|
0a122b |
@@ -0,0 +1,53 @@
|
|
|
0a122b |
+#!/bin/bash
|
|
|
0a122b |
+#
|
|
|
0a122b |
+# bochs format input validation tests
|
|
|
0a122b |
+#
|
|
|
0a122b |
+# Copyright (C) 2013 Red Hat, Inc.
|
|
|
0a122b |
+#
|
|
|
0a122b |
+# This program is free software; you can redistribute it and/or modify
|
|
|
0a122b |
+# it under the terms of the GNU General Public License as published by
|
|
|
0a122b |
+# the Free Software Foundation; either version 2 of the License, or
|
|
|
0a122b |
+# (at your option) any later version.
|
|
|
0a122b |
+#
|
|
|
0a122b |
+# This program is distributed in the hope that it will be useful,
|
|
|
0a122b |
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
|
0a122b |
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
|
|
0a122b |
+# GNU General Public License for more details.
|
|
|
0a122b |
+#
|
|
|
0a122b |
+# You should have received a copy of the GNU General Public License
|
|
|
0a122b |
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
|
|
|
0a122b |
+#
|
|
|
0a122b |
+
|
|
|
0a122b |
+# creator
|
|
|
0a122b |
+owner=kwolf@redhat.com
|
|
|
0a122b |
+
|
|
|
0a122b |
+seq=`basename $0`
|
|
|
0a122b |
+echo "QA output created by $seq"
|
|
|
0a122b |
+
|
|
|
0a122b |
+here=`pwd`
|
|
|
0a122b |
+tmp=/tmp/$$
|
|
|
0a122b |
+status=1 # failure is the default!
|
|
|
0a122b |
+
|
|
|
0a122b |
+_cleanup()
|
|
|
0a122b |
+{
|
|
|
0a122b |
+ _cleanup_test_img
|
|
|
0a122b |
+}
|
|
|
0a122b |
+trap "_cleanup; exit \$status" 0 1 2 3 15
|
|
|
0a122b |
+
|
|
|
0a122b |
+# get standard environment, filters and checks
|
|
|
0a122b |
+. ./common.rc
|
|
|
0a122b |
+. ./common.filter
|
|
|
0a122b |
+
|
|
|
0a122b |
+_supported_fmt bochs
|
|
|
0a122b |
+_supported_proto generic
|
|
|
0a122b |
+_supported_os Linux
|
|
|
0a122b |
+
|
|
|
0a122b |
+echo
|
|
|
0a122b |
+echo "== Read from a valid image =="
|
|
|
0a122b |
+_use_sample_img empty.bochs.bz2
|
|
|
0a122b |
+{ $QEMU_IO -c "read 0 512" $TEST_IMG; } 2>&1 | _filter_qemu_io | _filter_testdir
|
|
|
0a122b |
+
|
|
|
0a122b |
+# success, all done
|
|
|
0a122b |
+echo "*** done"
|
|
|
0a122b |
+rm -f $seq.full
|
|
|
0a122b |
+status=0
|
|
|
0a122b |
diff --git a/tests/qemu-iotests/078.out b/tests/qemu-iotests/078.out
|
|
|
0a122b |
new file mode 100644
|
|
|
0a122b |
index 0000000..25d37c5
|
|
|
0a122b |
--- /dev/null
|
|
|
0a122b |
+++ b/tests/qemu-iotests/078.out
|
|
|
0a122b |
@@ -0,0 +1,6 @@
|
|
|
0a122b |
+QA output created by 078
|
|
|
0a122b |
+
|
|
|
0a122b |
+== Read from a valid image ==
|
|
|
0a122b |
+read 512/512 bytes at offset 0
|
|
|
0a122b |
+512 bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
|
|
|
0a122b |
+*** done
|
|
|
0a122b |
diff --git a/tests/qemu-iotests/common b/tests/qemu-iotests/common
|
|
|
0a122b |
index b5043fc..35abbfc 100644
|
|
|
0a122b |
--- a/tests/qemu-iotests/common
|
|
|
0a122b |
+++ b/tests/qemu-iotests/common
|
|
|
0a122b |
@@ -128,6 +128,7 @@ common options
|
|
|
0a122b |
|
|
|
0a122b |
check options
|
|
|
0a122b |
-raw test raw (default)
|
|
|
0a122b |
+ -bochs test bochs
|
|
|
0a122b |
-cow test cow
|
|
|
0a122b |
-cloop test cloop
|
|
|
0a122b |
-qcow test qcow
|
|
|
0a122b |
@@ -163,6 +164,12 @@ testlist options
|
|
|
0a122b |
xpand=false
|
|
|
0a122b |
;;
|
|
|
0a122b |
|
|
|
0a122b |
+ -bochs)
|
|
|
0a122b |
+ IMGFMT=bochs
|
|
|
0a122b |
+ IMGFMT_GENERIC=false
|
|
|
0a122b |
+ xpand=false
|
|
|
0a122b |
+ ;;
|
|
|
0a122b |
+
|
|
|
0a122b |
-cow)
|
|
|
0a122b |
IMGFMT=cow
|
|
|
0a122b |
xpand=false
|
|
|
0a122b |
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
|
|
|
0a122b |
index 427818c..30a0fd8 100644
|
|
|
0a122b |
--- a/tests/qemu-iotests/group
|
|
|
0a122b |
+++ b/tests/qemu-iotests/group
|
|
|
0a122b |
@@ -73,6 +73,7 @@
|
|
|
0a122b |
070 rw auto
|
|
|
0a122b |
075 rw auto
|
|
|
0a122b |
077 rw auto
|
|
|
0a122b |
+078 rw auto
|
|
|
0a122b |
079 rw auto
|
|
|
0a122b |
082 rw auto quick
|
|
|
0a122b |
086 rw auto quick
|
|
|
0a122b |
--
|
|
|
0a122b |
1.7.1
|
|
|
0a122b |
|